Subject: Re: [bug#38304] [PATCH]: Make more services one-shot

From: Ludovic Courtès <[email-masked]>
Date: Sun, 08 Dec 2019 22:28:42 +0100

Hello!

Efraim Flashner <[email-masked]> skribis:

> On Wed, Nov 20, 2019 at 09:45:44PM +0200, Efraim Flashner wrote:
>> After changing the sysctl service to use one-shot I found 3 more that
>> look like they'd be good choices.
>> 
>
> Actually, it looks like agetty and mingetty both rely on the host-name
> service, so that one doesn't look like a good choice after all.

Is it a problem, though?  I think they should still get started, even if
‘host-name’ is one-shot, no?

Conceptually, ‘console-keymap’ and ‘console-font’ do not look like
one-shot to me though: it’s not implemented, but their ‘stop’ method
could very much restore the previous keymap/font.

WDYT?

Ludo’.